.. _vim.fault.VmToolsUpgradeFault: ../../vim/fault/VmToolsUpgradeFault.rst


vim.fault.ToolsAutoUpgradeNotSupported
======================================
    :extends:

        `vim.fault.VmToolsUpgradeFault`_

  Thrown when tools upgrade fails because the virtual machine's guest operating system doesn't support tools auto-upgrades.

Attributes:




